Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/expressionevaluator/DefaultFeatureExpressionEvaluator.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/expressionevaluator/DefaultFeatureExpressionEvaluator.java	(revision 46085)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/expressionevaluator/DefaultFeatureExpressionEvaluator.java	(revision 46086)
@@ -35,13 +35,12 @@
 import org.slf4j.LoggerFactory;
 
 @SuppressWarnings("UseSpecificCatch")
-public class DefaultFeatureExpressionEvaluator 
-        extends AbstractEvaluator 
-        implements ExpressionEvaluator, Cloneable 
-    {
+public class DefaultFeatureExpressionEvaluator
+        extends AbstractEvaluator
+        implements ExpressionEvaluator, Cloneable {
 
     private static final Logger LOGGER = LoggerFactory.getLogger(DefaultFeatureExpressionEvaluator.class);
-	private String storeName;
+    private String storeName;
 
     private static class DescriptionAdapter implements Description {
 
@@ -91,7 +90,7 @@
     private Expression expression;
     private Description[] availableOperators;
     private Description[] availableFunctions;
-    
+
     public DefaultFeatureExpressionEvaluator() {
         ExpressionEvaluatorManager manager = ExpressionEvaluatorLocator.getManager();
         this.symbolTable = manager.createSymbolTable();
@@ -102,28 +101,28 @@
     }
 
     public DefaultFeatureExpressionEvaluator(String source) {
-		this(null, source);
-	}
-	
+        this(null, source);
+    }
+
     public DefaultFeatureExpressionEvaluator(String storeName, String source) {
         this();
         ExpressionEvaluatorManager manager = ExpressionEvaluatorLocator.getManager();
         this.expression = manager.createExpression();
         this.expression.setPhrase(source);
-		this.storeName = storeName;
+        this.storeName = storeName;
     }
 
     public DefaultFeatureExpressionEvaluator(Expression expression) {
-		this(null, expression);
+        this(null, expression);
     }
-	
+
     public DefaultFeatureExpressionEvaluator(String storeName, Expression expression) {
         this();
         this.expression = expression;
-		this.storeName = storeName;
-		
-	}
+        this.storeName = storeName;
 
+    }
+
     @Override
     public String getName() {
         return "Genereric expression";
@@ -148,7 +147,7 @@
     public SymbolTable toSymbolTable() {
         return this.symbolTable;
     }
-    
+
     @Override
     public Object evaluate(EvaluatorData data) throws EvaluatorException {
         this.featureSymbolTable.setFeature((Feature) data);
@@ -161,31 +160,31 @@
         final Set<String> names = new HashSet<>();
         try {
             this.expression.getCode().accept((Object code) -> {
-              if (code instanceof Code.Identifier) {
-                Code.Identifier identifier = (Code.Identifier) code;
-				if(!StringUtils.equalsIgnoreCase(storeName, identifier.name())) {
-					names.add(identifier.name());
-				}
-              } else if (code instanceof Code.Callable) {
-				  Callable callable = (Callable) code;
-				  if (callable.name().equals(ExpressionBuilder.FUNCTION_GETATTR)) {
-					  Code p0 = callable.parameters().get(0);
-					  if (!(p0 instanceof Code.Identifier)) {
-						  return;
-					  }
-					  if (!StringUtils.equalsIgnoreCase(storeName, ((Code.Identifier) p0).name())) {
-						  return;
-					  }
-					  Code p1 = callable.parameters().get(1);
-					  if (!(p1 instanceof Code.Constant)) {
-						  return;
-					  }
-					  String s = Objects.toString(((Code.Constant)p1).value(), null);
-					  if (s != null) {
-						  names.add(s);
-					  }
-				  }
-			  } 
+                if (code instanceof Code.Identifier) {
+                    Code.Identifier identifier = (Code.Identifier) code;
+                    if (!StringUtils.equalsIgnoreCase(storeName, identifier.name())) {
+                        names.add(identifier.name());
+                    }
+                } else if (code instanceof Code.Callable) {
+                    Callable callable = (Callable) code;
+                    if (callable.name().equals(ExpressionBuilder.FUNCTION_GETATTR)) {
+                        Code p0 = callable.parameters().get(0);
+                        if (!(p0 instanceof Code.Identifier)) {
+                            return;
+                        }
+                        if (!StringUtils.equalsIgnoreCase(storeName, ((Code.Identifier) p0).name())) {
+                            return;
+                        }
+                        Code p1 = callable.parameters().get(1);
+                        if (!(p1 instanceof Code.Constant)) {
+                            return;
+                        }
+                        String s = Objects.toString(((Code.Constant) p1).value(), null);
+                        if (s != null) {
+                            names.add(s);
+                        }
+                    }
+                }
             });
             EvaluatorFieldsInfo info = new EvaluatorFieldsInfo();
             for (String name : names) {
@@ -240,7 +239,7 @@
         }
         return other;
     }
-    
+
     @Override
     public void saveToState(PersistentState ps) throws PersistenceException {
         ps.set("expression", expression);
@@ -250,7 +249,7 @@
     public void loadFromState(PersistentState state) throws PersistenceException {
         this.expression = (Expression) state.get("expression");
     }
-    
+
     public static void registerPersistence() {
         PersistenceManager manager = ToolsLocator.getPersistenceManager();
         if (manager.getDefinition("DefaultFeatureExpressionEvaluator") == null) {
@@ -262,7 +261,7 @@
 
     @Override
     public void addSymbolTable(SymbolTable symbolTable) {
-        if( symbolTable!=null ) {
+        if (symbolTable != null) {
             this.symbolTable.addSymbolTable(symbolTable);
         }
     }