Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial/org.gvsig.h2spatial.h2gis132/org.gvsig.h2spatial.h2gis132.provider/src/test/resources/org/gvsig/fmap/dal/store/h2/usecases/arena2/testMultipleExpansionOfCalculatedField.sql
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial/org.gvsig.h2spatial.h2gis132/org.gvsig.h2spatial.h2gis132.provider/src/test/resources/org/gvsig/fmap/dal/store/h2/usecases/arena2/testMultipleExpansionOfCalculatedField.sql	(revision 46112)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial/org.gvsig.h2spatial.h2gis132/org.gvsig.h2spatial.h2gis132.provider/src/test/resources/org/gvsig/fmap/dal/store/h2/usecases/arena2/testMultipleExpansionOfCalculatedField.sql	(revision 46113)
@@ -2,43 +2,43 @@
 -- testToDoubleWithSpecialFunctions SQL
 
 -- Select 
-SELECT "public"."ARENA2_CONDUCTORES"."LID_CONDUCTOR", "public"."ARENA2_CONDUCTORES"."ID_ACCIDENTE", 
-"public"."ARENA2_CONDUCTORES"."LID_VEHICULO", "public"."ARENA2_CONDUCTORES"."ID_VEHICULO", 
-"public"."ARENA2_CONDUCTORES"."POSIBLE_RESPONSABLE", "public"."ARENA2_CONDUCTORES"."FECHA_NACIMIENTO", 
-"public"."ARENA2_CONDUCTORES"."SEXO", "public"."ARENA2_CONDUCTORES"."NACIONALIDAD", 
-"public"."ARENA2_CONDUCTORES"."PAIS_RESIDENCIA", "public"."ARENA2_CONDUCTORES"."PROVINCIA_RESIDENCIA", 
-"public"."ARENA2_CONDUCTORES"."MUNICIPIO_RESIDENCIA", "public"."ARENA2_CONDUCTORES"."ASISTENCIA_SANITARIA", 
-"public"."ARENA2_CONDUCTORES"."INFLU_FACT_ATENCION", "public"."ARENA2_CONDUCTORES"."FACTORES_ATENCION", 
-"public"."ARENA2_CONDUCTORES"."INFLU_PRES_ERROR", "public"."ARENA2_CONDUCTORES"."PRESUNTOS_ERRORES", 
-"public"."ARENA2_CONDUCTORES"."CARACT_PERMISO", "public"."ARENA2_CONDUCTORES"."CLASE_PERMISO", 
-"public"."ARENA2_CONDUCTORES"."FECHA_PERMISO", "public"."ARENA2_CONDUCTORES"."MOTIVO_DESPLAZAMIENTO", 
-"public"."ARENA2_CONDUCTORES"."DESPLAZAMIENTO_PREVISTO", "public"."ARENA2_CONDUCTORES"."ACC_SEG_CINTURON", 
-"public"."ARENA2_CONDUCTORES"."ACC_SEG_CASCO", "public"."ARENA2_CONDUCTORES"."ACC_SEG_BRAZOS", 
-"public"."ARENA2_CONDUCTORES"."ACC_SEG_ESPALDA", "public"."ARENA2_CONDUCTORES"."ACC_SEG_TORSO", 
-"public"."ARENA2_CONDUCTORES"."ACC_SEG_MANOS", "public"."ARENA2_CONDUCTORES"."ACC_SEG_PIERNAS", 
-"public"."ARENA2_CONDUCTORES"."ACC_SEG_PIES", "public"."ARENA2_CONDUCTORES"."ACC_SEG_PRENDA_REF", 
-"public"."ARENA2_CONDUCTORES"."INFLU_ALCOHOL", "public"."ARENA2_CONDUCTORES"."PRUEBA_ALCOHOLEMIA", 
-"public"."ARENA2_CONDUCTORES"."TASA_ALCOHOLEMIA1", "public"."ARENA2_CONDUCTORES"."TASA_ALCOHOLEMIA2", 
-"public"."ARENA2_CONDUCTORES"."PRUEBA_ALC_SANGRE", "public"."ARENA2_CONDUCTORES"."SIGNOS_INFLU_ALCOHOL", 
-"public"."ARENA2_CONDUCTORES"."INFLU_DROGAS", "public"."ARENA2_CONDUCTORES"."PRUEBA_DROGAS", 
-"public"."ARENA2_CONDUCTORES"."AMP", "public"."ARENA2_CONDUCTORES"."CONFIRMADO_AMP", 
-"public"."ARENA2_CONDUCTORES"."BDZ", "public"."ARENA2_CONDUCTORES"."CONFIRMADO_BDZ", 
-"public"."ARENA2_CONDUCTORES"."COC", "public"."ARENA2_CONDUCTORES"."CONFIRMADO_COC", "public"."ARENA2_CONDUCTORES"."THC", 
-"public"."ARENA2_CONDUCTORES"."CONFIRMADO_THC", "public"."ARENA2_CONDUCTORES"."METH", 
-"public"."ARENA2_CONDUCTORES"."CONFIRMADO_METH", "public"."ARENA2_CONDUCTORES"."OPI", "public"."ARENA2_CONDUCTORES"."CONFIRMADO_OPI", 
-"public"."ARENA2_CONDUCTORES"."OTRAS", "public"."ARENA2_CONDUCTORES"."CONFIRMADO_OTRAS", 
-"public"."ARENA2_CONDUCTORES"."SIGNOS_INFLU_DROGAS", "public"."ARENA2_CONDUCTORES"."INFLU_PRES_INFRAC_COND", 
-"public"."ARENA2_CONDUCTORES"."PRES_INFRAC_COND", "public"."ARENA2_CONDUCTORES"."PRES_INFRAC_SIN_LUCES", 
-"public"."ARENA2_CONDUCTORES"."PRES_INFRAC_SIN_TRIANGULO", "public"."ARENA2_CONDUCTORES"."INFLU_PRES_INFRAC_VEL", 
-"public"."ARENA2_CONDUCTORES"."PRES_INFRAC_VEL_COND", "public"."ARENA2_CONDUCTORES"."INFLU_OTRA_INFRAC", 
-"public"."ARENA2_CONDUCTORES"."OTRA_INFRAC_COND", "public"."ARENA2_CONDUCTORES"."EXTRA", 
-"public"."ARENA2_ACCIDENTES"."KM" AS "AccKm0", 
-("public"."ARENA2_ACCIDENTES"."KM" * 100) AS "AccKm1", 
-("public"."ARENA2_ACCIDENTES"."KM" * 222) AS "AccKm2", 
-"public"."ARENA2_ACCIDENTES"."KM" 
-FROM "public"."ARENA2_CONDUCTORES" 
-LEFT JOIN "public"."ARENA2_ACCIDENTES" ON ( ("public"."ARENA2_CONDUCTORES"."ID_ACCIDENTE") = ("public"."ARENA2_ACCIDENTES"."ID_ACCIDENTE") ) 
+SELECT "PUBLIC"."ARENA2_CONDUCTORES"."LID_CONDUCTOR", "PUBLIC"."ARENA2_CONDUCTORES"."ID_ACCIDENTE", 
+"PUBLIC"."ARENA2_CONDUCTORES"."LID_VEHICULO", "PUBLIC"."ARENA2_CONDUCTORES"."ID_VEHICULO", 
+"PUBLIC"."ARENA2_CONDUCTORES"."POSIBLE_RESPONSABLE", "PUBLIC"."ARENA2_CONDUCTORES"."FECHA_NACIMIENTO", 
+"PUBLIC"."ARENA2_CONDUCTORES"."SEXO", "PUBLIC"."ARENA2_CONDUCTORES"."NACIONALIDAD", 
+"PUBLIC"."ARENA2_CONDUCTORES"."PAIS_RESIDENCIA", "PUBLIC"."ARENA2_CONDUCTORES"."PROVINCIA_RESIDENCIA", 
+"PUBLIC"."ARENA2_CONDUCTORES"."MUNICIPIO_RESIDENCIA", "PUBLIC"."ARENA2_CONDUCTORES"."ASISTENCIA_SANITARIA", 
+"PUBLIC"."ARENA2_CONDUCTORES"."INFLU_FACT_ATENCION", "PUBLIC"."ARENA2_CONDUCTORES"."FACTORES_ATENCION", 
+"PUBLIC"."ARENA2_CONDUCTORES"."INFLU_PRES_ERROR", "PUBLIC"."ARENA2_CONDUCTORES"."PRESUNTOS_ERRORES", 
+"PUBLIC"."ARENA2_CONDUCTORES"."CARACT_PERMISO", "PUBLIC"."ARENA2_CONDUCTORES"."CLASE_PERMISO", 
+"PUBLIC"."ARENA2_CONDUCTORES"."FECHA_PERMISO", "PUBLIC"."ARENA2_CONDUCTORES"."MOTIVO_DESPLAZAMIENTO", 
+"PUBLIC"."ARENA2_CONDUCTORES"."DESPLAZAMIENTO_PREVISTO", "PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_CINTURON", 
+"PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_CASCO", "PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_BRAZOS", 
+"PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_ESPALDA", "PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_TORSO", 
+"PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_MANOS", "PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_PIERNAS", 
+"PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_PIES", "PUBLIC"."ARENA2_CONDUCTORES"."ACC_SEG_PRENDA_REF", 
+"PUBLIC"."ARENA2_CONDUCTORES"."INFLU_ALCOHOL", "PUBLIC"."ARENA2_CONDUCTORES"."PRUEBA_ALCOHOLEMIA", 
+"PUBLIC"."ARENA2_CONDUCTORES"."TASA_ALCOHOLEMIA1", "PUBLIC"."ARENA2_CONDUCTORES"."TASA_ALCOHOLEMIA2", 
+"PUBLIC"."ARENA2_CONDUCTORES"."PRUEBA_ALC_SANGRE", "PUBLIC"."ARENA2_CONDUCTORES"."SIGNOS_INFLU_ALCOHOL", 
+"PUBLIC"."ARENA2_CONDUCTORES"."INFLU_DROGAS", "PUBLIC"."ARENA2_CONDUCTORES"."PRUEBA_DROGAS", 
+"PUBLIC"."ARENA2_CONDUCTORES"."AMP", "PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_AMP", 
+"PUBLIC"."ARENA2_CONDUCTORES"."BDZ", "PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_BDZ", 
+"PUBLIC"."ARENA2_CONDUCTORES"."COC", "PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_COC", "PUBLIC"."ARENA2_CONDUCTORES"."THC", 
+"PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_THC", "PUBLIC"."ARENA2_CONDUCTORES"."METH", 
+"PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_METH", "PUBLIC"."ARENA2_CONDUCTORES"."OPI", "PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_OPI", 
+"PUBLIC"."ARENA2_CONDUCTORES"."OTRAS", "PUBLIC"."ARENA2_CONDUCTORES"."CONFIRMADO_OTRAS", 
+"PUBLIC"."ARENA2_CONDUCTORES"."SIGNOS_INFLU_DROGAS", "PUBLIC"."ARENA2_CONDUCTORES"."INFLU_PRES_INFRAC_COND", 
+"PUBLIC"."ARENA2_CONDUCTORES"."PRES_INFRAC_COND", "PUBLIC"."ARENA2_CONDUCTORES"."PRES_INFRAC_SIN_LUCES", 
+"PUBLIC"."ARENA2_CONDUCTORES"."PRES_INFRAC_SIN_TRIANGULO", "PUBLIC"."ARENA2_CONDUCTORES"."INFLU_PRES_INFRAC_VEL", 
+"PUBLIC"."ARENA2_CONDUCTORES"."PRES_INFRAC_VEL_COND", "PUBLIC"."ARENA2_CONDUCTORES"."INFLU_OTRA_INFRAC", 
+"PUBLIC"."ARENA2_CONDUCTORES"."OTRA_INFRAC_COND", "PUBLIC"."ARENA2_CONDUCTORES"."EXTRA", 
+"PUBLIC"."ARENA2_ACCIDENTES"."KM" AS "AccKm0", 
+("PUBLIC"."ARENA2_ACCIDENTES"."KM" * 100) AS "AccKm1", 
+("PUBLIC"."ARENA2_ACCIDENTES"."KM" * 222) AS "AccKm2", 
+"PUBLIC"."ARENA2_ACCIDENTES"."KM" 
+FROM "PUBLIC"."ARENA2_CONDUCTORES" 
+LEFT JOIN "PUBLIC"."ARENA2_ACCIDENTES" ON ( ("PUBLIC"."ARENA2_CONDUCTORES"."ID_ACCIDENTE") = ("PUBLIC"."ARENA2_ACCIDENTES"."ID_ACCIDENTE") ) 
 ORDER BY "LID_CONDUCTOR" ASC NULLS LAST LIMIT 15;
 
 -- Count
-SELECT COUNT(*) FROM "public"."ARENA2_CONDUCTORES";
+SELECT COUNT(*) FROM "PUBLIC"."ARENA2_CONDUCTORES";